[From nobody Tue Oct 23 17:44:56 2012
X-Account-Key: account3
X-Mozilla-Keys: 
Return-Path: &lt;owner-src-committers@FreeBSD.org&gt;
Delivered-To: andre@networx.ch
Received: (qmail 86532 invoked from network); 23 Oct 2012 18:11:50 -0000
Received: from mx2.freebsd.org ([69.147.83.53])
 (envelope-sender &lt;owner-src-committers@FreeBSD.org&gt;)
 by c00l3r.networx.ch (qmail-ldap-1.03) with SMTP
 for &lt;andre@networx.ch&gt;; 23 Oct 2012 18:11:50 -0000
Received: from hub.freebsd.org (hub.FreeBSD.org [8.8.178.136])
 by mx2.freebsd.org (Postfix) with ESMTP id EE7DE3B50A7
 for &lt;andre@networx.ch&gt;; Tue, 23 Oct 2012 16:33:49 +0000 (UTC)
Received: by hub.freebsd.org (Postfix)
 id E18F3C9F; Tue, 23 Oct 2012 16:33:49 +0000 (UTC)
Delivered-To: andre@freebsd.org
Received: by hub.freebsd.org (Postfix, from userid 538)
 id DB493C98; Tue, 23 Oct 2012 16:33:49 +0000 (UTC)
Delivered-To: src-committers@freebsd.org
Received: from mx1.freebsd.org (mx1.freebsd.org [69.147.83.52])
 by hub.freebsd.org (Postfix) with ESMTP id 4B768C94;
 Tue, 23 Oct 2012 16:33:44 +0000 (UTC)
 (envelope-from andre@FreeBSD.org)
Received: from svn.freebsd.org (svn.freebsd.org [IPv6:2001:4f8:fff6::2c])
 by mx1.freebsd.org (Postfix) with ESMTP id 326B18FC08;
 Tue, 23 Oct 2012 16:33:44 +0000 (UTC)
Received: from svn.freebsd.org (localhost [127.0.0.1])
 by svn.freebsd.org (8.14.4/8.14.4) with ESMTP id q9NGXiNq010299;
 Tue, 23 Oct 2012 16:33:44 GMT (envelope-from andre@svn.freebsd.org)
Received: (from andre@localhost)
 by svn.freebsd.org (8.14.4/8.14.4/Submit) id q9NGXhIX010297;
 Tue, 23 Oct 2012 16:33:43 GMT (envelope-from andre@svn.freebsd.org)
Message-Id: &lt;201210231633.q9NGXhIX010297@svn.freebsd.org&gt;
From: Andre Oppermann &lt;andre@FreeBSD.org&gt;
Date: Tue, 23 Oct 2012 16:33:43 +0000 (UTC)
To: src-committers@freebsd.org, svn-src-all@freebsd.org,
 svn-src-head@freebsd.org
Subject: svn commit: r241955 - head
X-SVN-Group: head
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Sender: owner-src-committers@FreeBSD.org
Precedence: bulk
X-Loop: FreeBSD.ORG

Author: andre
Date: Tue Oct 23 16:33:43 2012
New Revision: 241955
URL: http://svn.freebsd.org/changeset/base/241955

Log:
  Note the removal of the ZERO_COPY_SOCKETS kernel option in r241931
  and provide a proper explanation.

Modified:
  head/UPDATING

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Tue Oct 23 16:12:17 2012	(r241954)
+++ head/UPDATING	Tue Oct 23 16:33:43 2012	(r241955)
@@ -25,6 +25,17 @@ NOTE TO PEOPLE WHO THINK THAT FreeBSD 10
 	&quot;ln -s 'abort:false,junk:false' /etc/malloc.conf&quot;.)
 
 20121023:
+	The ZERO_COPY_SOCKET kernel option has been removed and
+	split into SOCKET_SEND_COW and SOCKET_RECV_PFLIP.
+	NB: SOCKET_SEND_COW uses the VM page based copy-on-write
+	mechanism which is not safe and may result in kernel crashes.
+	NB: The SOCKET_RECV_PFLIP mechanism is useless as no current
+	driver supports disposeable external page sized mbuf storage.
+	Proper replacements for both zero-copy mechanisms are under
+	consideration and will eventually lead to complete removal
+	of the two kernel options.
+
+20121023:
 	The IPv4 network stack has been converted to network byte
 	order. The following modules need to be recompiled together
 	with kernel: carp(4), divert(4), gif(4), siftr(4), gre(4),


]